SaxelChunk (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.aiff
Class SaxelChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.aiff.SaxelChunk

    public class SaxelChunk

extends Chunk

Implementation of the AIFF Saxel (Sound Accelerator) Chunk. The Saxel chunk has only a tentative and incomplete status in the AIFF-C draft of 1991, and apparently nothing further was ever done with it. For purposes of extracting parameters, we treat the description of the SaxelChunk and Saxels as valid, while regarding the SaxelData as opaque.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`SaxelChunk(AiffModule module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary
`boolean` | `readChunk(RepInfo info)` Reads a chunk and puts a "Saxels" property into the RepInfo object.

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxelChunk

    public SaxelChunk(AiffModule module,
                      ChunkHeader hdr,
                      java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The AIFFModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the AIFF data are being read

Method Detail

### readChunk

    public boolean readChunk(RepInfo info)
                      throws java.io.IOException

  Reads a chunk and puts a "Saxels" property into the RepInfo object.

  Specified by:
    `readChunk` in class `Chunk`
  Parameters:
    `info` - RepInfo object to receive information
  Returns:
    `false` if the chunk is structurally invalid, otherwise `true`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD